### Method

# RB Shell guess_source_for_uri

#### Declaration [src]

    RBSource*
    rb_shell_guess_source_for_uri (
      RBShell* shell,
      const char* uri
    )

#### Description [src]

Attempts to locate the source that should handle the specified URI. This iterates through all sources, calling #rb_source_want_uri, returning the source that returns the highest value.

#### Parameters

`uri`

  Type: `const char*`

  The URI to guess a source for.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `RBSource`

The most appropriate `RBSource` for the uri.

The returned data is owned by the instance.